Home > Relocation Error > Relocation Error File /usr/local/lib/libcurl.so.4

Relocation Error File /usr/local/lib/libcurl.so.4

I am not sure this is legal but I solved this by modifying the Makefile in CURL's lib folder AFTER running your configure. The Rule of Thumb for Title Capitalization How to leave a job for ethical/moral issue to a potential employer without explaining details Schrödinger's cat and Gravitational waves Is the domain of You probably want the same library on both (i.e. Request was from Alessandro Ghedini <[email protected]> to [email protected] (Fri, 05 Jun 2015 13:15:08 GMT) Full text and rfc822 format available. this contact form

Please follow the steps in http://h2o.github.io/install.html Sign up for free to join this conversation on GitHub. Breuer" : New Bug report received and forwarded. Browse other questions tagged apache-http-server solaris or ask your own question. Debian bug tracking system administrator .

Check the functionality like: ldd /usr/local/ssl/bin/openssl libssl.so.1.0.0 => /usr/local/ssl/lib/libssl.so.1.0.0 libcrypto.so.1.0.0 => /usr/local/ssl/lib/libcrypto.so.1.0.0 libsocket.so.1 => /lib/libsocket.so.1 libnsl.so.1 => /lib/libnsl.so.1 libdl.so.1 => /lib/libdl.so.1 libc.so.1 => /lib/libc.so.1 libgcc_s.so.1 => /usr/local/lib/libgcc_s.so.1 libmp.so.2 => /lib/libmp.so.2 libmd.so.1 How on Earth does libcurl.so.4.3.0 end up pointing at libssl1.0.0? No further changes may be made. Reload to refresh your session.

You signed out in another tab or window. UNIX is a registered trademark of The Open Group. Opening with terminal shows: transmission-gtk: symbol lookup error: /usr/lib/libcurl.so.4: undefined symbol: SSL_CTX_set_alpn_protos What can I do? ld.so.1: httpd: fatal: relocation error: ld.so.1 is the runtime dynamic loader.

rm -f configure 3. more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 394 Star 6,008 Fork 459 h2o/h2o Code Issues 236 Pull requests 25 Projects https://github.com/h2o/h2o/issues/347 Last modified: Wed Oct 26 21:21:53 2016; Machine Name: beach Debian Bug tracking system Copyright (C) 1999 Darren O.

I know this answer sounds dumb, but I was stuck without an answer for about a week or so only to find out it was my bad. configure: WARNING: netinet/if_ether.h: proceeding with the preprocessor's result configure: WARNING: ## ------------------------------------ ## configure: WARNING: ## Report this to [email protected] ## configure: WARNING: ## ------------------------------------ ## checking for netinet/if_ether.h... vol7ron commented Mar 9, 2016 @badger this is a late reply, but you're semi-correct. How is being able to break into any linux machine through grub2 secure?

share|improve this answer answered Jul 31 '12 at 20:44 techie 111 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign Is that a weak/strong symbols thing? *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? * What exactly did you do (or not vol7ron commented Jan 25, 2016 @bagder Thanks for replying - I also don't know what I did, or what was done to this box. checking net/if.h presence...

good luck. [2003-03-05 20:06 UTC] driskel at bitstream dot net Thank you gabeki! weblink If so, why is it allowed? It was created by package-query configure 1.5, which was generated by GNU Autoconf 2.69. It is not produced in the Solaris 2.5.1 or earlier releases.

B. 16 add a comment| up vote 6 down vote The problem is not that there's a _curl_ library missing but that libcurl.so.4 references functions of a library that is not We recommend upgrading to the latest Safari, Google Chrome, or Firefox. Copy sent to Alessandro Ghedini <[email protected]>. (Thu, 04 Jun 2015 11:03:05 GMT) Full text and rfc822 format available. http://supercgis.com/relocation-error/relocation-error-file-usr-bin-ssh.html configure: WARNING: net/if.h: proceeding with the preprocessor's result configure: WARNING: ## ------------------------------------ ## configure: WARNING: ## Report this to [email protected] ## configure: WARNING: ## ------------------------------------ ## checking for net/if.h...

Again, not a curl problem but a linker problem for when you run your program/curl. The dynamic loader brought in the cwmp module, which depends on curl (libcurl). Is cardinality a well defined function?

Does the Many Worlds interpretation of quantum mechanics necessarily imply every world exist?

Yes, libcurl.so.4 is pointing at .so.4.3.0: % ll /usr/lib/i386-linux-gnu/libcurl.so.4 lrwxrwxrwx 1 root 16 Jun 3 12:32 /usr/lib/i386-linux-gnu/libcurl.so.4 -> libcurl.so.4.3.0 % ll /usr/lib/i386-linux-gnu/libcurl.so.4.3.0 -rw-r--r-- 1 root 538168 Jun 3 12:32 /usr/lib/i386-linux-gnu/libcurl.so.4.3.0 and Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc. Offline #4 2015-04-28 02:11:27 pedrofleck Member From: Porto Alegre, Brazil Registered: 2013-11-17 Posts: 32 Website Re: [SOLVED] Problem with libcurl.so.4 Yes, everything up to date and I have a lot of Konstantinusz commented Aug 3, 2015 Yes, another libssl was in use, I simply renamed /opt/lampp/lib/libssl.so.1.0.0 to libssl.so.1.0.0.old, and the error message disappeared.

Probably your system contains an old version of the shared object that should contain this symbol. I tried and had no luck. Marked as found in versions openssl/1.0.2~beta3-1. his comment is here Debian distribution maintenance software pp.

Breuer wrote: > Versions of packages libcurl3:i386 depends on: > ii libc6 2.19-18 > ii libcomerr2 1.42.12-1.1 > ii libgssapi-krb5-2 1.12.1+dfsg-19 > ii libidn11 1.29-1+b2 > ii libk5crypto3 1.12.1+dfsg-19 > ii Previous: ld.so.1: string: fatal: string: open failed: No such file or directoryNext: ld.so.1: string: fatal: relocation error: symbol not found: string © 2010, Oracle Corporation and/or its affiliates php.net| support| documentation| vol7ron referenced this issue in Linuxbrew/legacy-linuxbrew Jan 24, 2016 Closed openssl upgrade error #737 curl member bagder commented Jan 24, 2016 @vol7ron that looks like you've run curl's configure against an Why were Native American code talkers used during WW2?

Technical Notes This error does not necessarily occur when you first bring up an application. Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Reload to refresh your session.